<?php
/**
 * Archive page template - "Masonry fullwidth" layout
 *
 * @package Multi
 */

?>
<main class="main">
<?php
get_template_part( 'archive-heading' );

if ( have_posts() ) :
	get_template_part( 'post-list-parts/cat-filters-archive' );
	?>

	<div class="postlist columns masonry m4 <?php echo esc_attr( multimagazine_get_post_loading_classes() ); ?>">
		<?php
		$multimagazine_post_args = multimagazine_postlist_meta_flags();

		while ( have_posts() ) {
			the_post();
			get_template_part( 'post-list-parts/post-masonry', null, $multimagazine_post_args );
		}
		?>
	</div>

	<?php get_template_part( 'template-parts/pager' ); ?>
<?php else : ?>
	<?php get_template_part( 'template-parts/archive-empty' ); ?>
<?php endif; ?>

<?php get_template_part( 'archive-description' ); ?>
</main>
